Package org.eclipse.jdt.core.util

# Interface IConstantPoolEntry3

All Superinterfaces:
  `IConstantPoolEntry`, `IConstantPoolEntry2`

public interface IConstantPoolEntry3 extends IConstantPoolEntry2
Description of a constant pool entry as described in the JVM specifications. Its contents is initialized according to its kind.

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getModuleIndex()`
Returns the index for a CONSTANT_Module type entry.
`char[]`
`getModuleName()`
Returns the name of a CONSTANT_Module type entry.
`int`
`getPackageIndex()`
Returns the index for a CONSTANT_Package type entry.
`char[]`
`getPackageName()`
Returns the name of a CONSTANT_Package type entry.

### Methods inherited from interface org.eclipse.jdt.core.util.IConstantPoolEntry

`getClassIndex, getClassInfoName, getClassInfoNameIndex, getClassName, getDoubleValue, getFieldDescriptor, getFieldName, getFloatValue, getIntegerValue, getKind, getLongValue, getMethodDescriptor, getMethodName, getNameAndTypeIndex, getNameAndTypeInfoDescriptorIndex, getNameAndTypeInfoNameIndex, getStringIndex, getStringValue, getUtf8Length, getUtf8Value`

### Methods inherited from interface org.eclipse.jdt.core.util.IConstantPoolEntry2

`getBootstrapMethodAttributeIndex, getDescriptorIndex, getReferenceIndex, getReferenceKind`

## Method Details

### getModuleIndex

int getModuleIndex()
Returns the index for a CONSTANT_Module type entry. The value is unspecified otherwise.

Returns:
  the index for a CONSTANT_Module type entry
See Also:
  - `IConstantPoolConstant.CONSTANT_Module`
  - `getModuleName()`

### getModuleName

char[] getModuleName()
Returns the name of a CONSTANT_Module type entry. Returns null otherwise.

Returns:
  the name of a CONSTANT_Module type entry
See Also:
  - `IConstantPoolConstant.CONSTANT_Module`
  - `getModuleIndex()`

### getPackageIndex

int getPackageIndex()
Returns the index for a CONSTANT_Package type entry. The value is unspecified otherwise.

Returns:
  the index for a CONSTANT_Package type entry
See Also:
  - `IConstantPoolConstant.CONSTANT_Package`
  - `getPackageName()`

### getPackageName

char[] getPackageName()
Returns the name of a CONSTANT_Package type entry. Returns null otherwise.

Returns:
  the name of a CONSTANT_Package type entry
See Also:
  - `IConstantPoolConstant.CONSTANT_Package`
  - `getPackageIndex()`